Skip to main content
GET
/
v1
/
metrics
/
transaction-priority-fee-total-native
Transaction Priority Fee Total Native
curl --request GET \
  --url https://api.blockworks.com/v1/metrics/transaction-priority-fee-total-native \
  --header 'x-api-key: <api-key>'
{
  "projectName": [
    {
      "date": "2025-08-10",
      "value": 123456.789
    },
    {
      "date": "2025-08-11",
      "value": 234567.89
    },
    {
      "date": "2025-08-12",
      "value": 345678.901
    }
  ]
}

Overview

  • Denomination: ETH
  • Type: Decimal
  • Interval: Daily
  • Source: Blockworks

Example Request

curl -H "x-api-key: YOUR_API_KEY" \
  "https://api.blockworks.com/v1/metrics/transaction-priority-fee-total-native?project=worldchain"

Example Response

{
  "worldchain": [
    {
      "date": "2026-03-22",
      "value": 0.09117393502874362
    },
    {
      "date": "2026-03-21",
      "value": 0.10673744197291664
    },
    {
      "date": "2026-03-20",
      "value": 0.09971997758466575
    },
    {
      "date": "2026-03-19",
      "value": 0.11321625767500941
    },
    {
      "date": "2026-03-18",
      "value": 0.24646359003633284
    }
  ]
}

Notes

  • Intervals are daily unless otherwise noted.
  • Data is updated daily and may be revised after late-arriving data.

Authorizations

x-api-key
string
header
required

Query Parameters

project
enum<string>
required

Project slug (comma-separated for multiple).

Available options:
arbitrum,
base,
berachain,
bob,
boba,
ethereum,
fogo,
ink,
katana,
megaeth,
mode,
monad,
plasma,
shape,
solana,
superseed,
worldchain,
zora
Example:

"arbitrum"

start_date
string<date>

Start date (YYYY-MM-DD)

end_date
string<date>

End date (YYYY-MM-DD)

Response

OK

{key}
object[]